// ====================================================================================================
// Most simple example using Vnano Engine.
//   See: https://www.vcssl.org/en-us/vnano/doc/tutorial/use
// 
// Vnano Engine を使用する、最も単純なサンプルコードです。
//   参照: https://www.vcssl.org/ja-jp/vnano/doc/tutorial/use
// 
// License: CC0 (Copyright Free)
// ====================================================================================================

import org.vcssl.nano.VnanoEngine;
import org.vcssl.nano.VnanoException;

 public class ExampleApp1 {
    public static void main(String[] args) throws VnanoException {

        // Create a scripting engine of Vnano (= Vnano Engine).
        // Vnano のスクリプト実行エンジン（Vnano Engine）のインスタンスを生成
        VnanoEngine engine = new VnanoEngine();

        // Execute a script by using Vnano Engine.
        // 単純な内容のスクリプトを用意し、Vnano Engine で実行
        String script = "double a = 1.2;  double b = 3.4;  double c = a + b;  c;";
        double result = (Double)engine.executeScript(script);

        // Display the result.
        // 結果を表示
        System.out.println("result: " + result);
    }
}
